Bug 125602 - Incorrect paragraph font style in doc
Summary: Incorrect paragraph font style in doc
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOC-Paragraph Regressions-705a8c22
  Show dependency treegraph
 
Reported: 2019-05-31 06:31 UTC by Aleksey Kozyayikin
Modified: 2019-06-13 16:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of problem (27.00 KB, application/msword)
2019-05-31 06:32 UTC, Aleksey Kozyayikin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksey Kozyayikin 2019-05-31 06:31:38 UTC
Description:
I created document in doc format using word application. 
I Added Paragraph, changed font style for last carriage return symbol, and added table. Then I  saved document.  Document is in attachment.
If you open this document in LibreOffice you see that font style of carriage return symbol is applied for paragraph.

Steps to Reproduce:
1.Create document in doc format using word application
2.Add Paragraph, change font style for last carriage return symbol, and add table
3.Save document
4. Open document in LibreOffice

Actual Results:
Font style for carriage return is applied for previous paragraph

Expected Results:
Font style for carriage return is not applied for previous paragraph


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Aleksey Kozyayikin 2019-05-31 06:32:09 UTC
Created attachment 151794 [details]
Example of problem
Comment 2 Durgapriyanka 2019-05-31 20:21:53 UTC
I can confirm the bug present in 

Version: 6.3.0.0.alpha0+
Build ID: b6b28931435e44aca92b8c0e1659f701e3ed1a87
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-01-30_06:57:04
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

I cannot reproduce the bug in 

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 Dieter 2019-06-01 10:13:18 UTC
Durgaprinyka, if you are able to reproduce a bug, you are also allowed to set status to NEW

=> NEW because of comment 2
Comment 4 Xisco Faulí 2019-06-11 11:20:48 UTC
Reproduced in

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.15; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

but not in


Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 5 Xisco Faulí 2019-06-11 11:21:19 UTC
@Durgapriyanka, do not forget to add the 'regression' keyword if it's not reproducible in older versions of LibreOffice
Comment 6 Xisco Faulí 2019-06-11 15:18:52 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2014-09-23 19:35:50 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2014-09-24 09:04:48 (GMT)
commit	705a8c226aee3e68db492083b7cf8b704335328b (patch)
tree	c701b3a13f48f6d5a4c226bcf4f67e1e91a41049
parent	6332c643016ce4c4d254c8429a5eceae6664bf5c (diff)

Adding Cc: to Caolán McNamara